id: wordpress-tablepress

info:
  name: TablePress – Tables in WordPress made easy Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/tablepress/
  metadata:
    plugin_namespace: tablepress
    wpscan: https://wpscan.com/plugin/tablepress
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/tablepress/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/tablepress.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100ab037c271209063615df6440fa4dd34c26c74ba321acf6ddf29d4e83b64f838c02206a94e8d415c9bdac44f38dc37d8ad02811c3bec07e0c81bcb6a66782b331639e:922c64590222798bb761d5b6d8e72950